Multivariate Pattern Analysis in Python

# mvpa2.misc.stats.compute_ts_boxplot_stats

`mvpa2.misc.stats.``compute_ts_boxplot_stats`(data, outlier_abs_minthresh=None, outlier_thresh=3.0, greedy_outlier=False, aggfx=None, *args)

  Compute boxplot-like statistics across a set of time series.

  This function can handle missing values and supports data aggregation.

  Parameters:

  data : array

  > Typically a 2-dimensional array (series x samples). Multi-feature samples are supported (series x samples x features), but they have to be aggregated into a scalar. See `aggfx`.

  outlier_abs_minthresh : float or None

  > Absolute minimum threshold of outlier detection. Only value larger than this this threshold will ever be considered as an outlier

  outlier_thresh : float or None

  > Outlier classification threshold in units of standard deviation.

  greedy_outlier : bool

  > If True, an entire time series is marked as an outlier, if any of its observations matches the criterion. If False, only individual observations are marked as outlier.

  aggfx : functor or None

  > Aggregation function used to collapse multi-feature samples into a scalar value

  *args :

  > Additional arguments for `aggfx`.

  Returns:

  tuple

  > This 2-item tuple contains all computed statistics in the first item and all classified outliers in the second item. Statistics are computed for each time series observation across time series. Available information: mean value, median, standard deviation, minimum, maximum, 25% and 75% percentile, as well as number of non-outlier data points for each sample. The outlier data points are returned a masked array of the same size as the input data. All data points classified as non-outliers are masked.